#include<stdio.h>
#include<math.h>
long long suma1(long long a[],int n,int m,long long sr)
{
	int i,j;
	long long s=0,s1=0,s0=0;
	for(j=0;j<sr;j++)
	{ 
		s1=0;
		s0=0;
		for(i=0;i<n;i++)
		{
			if(a[i]<=sr)
			{
				if(a[i]>j)
				s1++;
				else
				s0++;
			}
			else
			s0++;
		}
		s+=s1*s0;
	}
	for(j=m-1;j>=sr;j--)
	{
		s1=0;
		s0=0;
		for(i=0;i<n;i++)
		{
			if(a[i]>sr)
			{
				if(a[i]<=j)
				s1++;
				else
				s0++;
			}
			else
			s0++;
		}
		s+=s1*s0;
	}
	return s;
}
long long suma2(long long a[100000], int n, int m) 
{
	int i,j;
	long long s=0,s1=0,s0=0;
	for(j=0;j<m;i++)
	{
		s1=0;
		s0=0;
		for(i=0;i<n;i++)
		{
			if(a[i]>j&&a[i]!=m)
			s1++;
			else 
			s0++;
		}
		s+=s1*s0;
	}
	return s;
}
int main()
{
	long max,min,r1,r2,r;
	long long a[100000],s1=0,s,sr=0;
	double srf;
	int n,m,i,j;
	scanf("%d%d",&n,&m);
	r1=m,r2=m;
	for(i=0;i<n;i++)
	{
		scanf("%I64d",&a[i]);
	}
	max=a[0];
	min=a[0];
	for(i=0;i<n;i++)
	{
		s1=s1+a[i];
		if(a[i]>max)
		max=a[i];
		if(a[i]<min)
		min=a[i];
		
	}
	srf=ceil((float)s1/n);
	sr=(long long)srf;
	for(i=0;i<n;i++)
	{
		if(a[i]<=sr&&sr-a[i]<r1)
		r1=sr-a[i];
		if(a[i]>sr&&a[i]-sr<r2)
		r2=a[i]-sr;
	}
	r=r1+r2;
	if(r>min&&r>m-max)
	{
		s=suma1(a,n,m,sr);
	}
	else
	{
		s=suma2(a,n,m);
	}
	printf("%I64d",s);
	return 0;
}